

Function Authenticate-User2 {
"Próba uwierzytelnienia użytkownika " + $args[1] + " z hasłem " + $args[2] + " na serwerze " + $args[0] + "..."
$o = new-object system.directoryservices.directoryEntry([string]$args[0], [String]$args[1], [String]$args[2]) 
$o.PSBase.NativeGUID
}

Function Authenticate-User {
trap [System.Exception] { "Błąd!"; return $false; }
Authenticate-User2 $args[0], $args[1], $args[2]
return $true
}

#$o = new-object system.directoryservices.directoryEntry("LDAP://E02")
#$o.get_NativeGUID()
$e = Authenticate-User "WinNT://e45" "e45\demo" "demo"
$e
if ($e) { "Użytkownik został uwierzytelniony!" }
else { "Użytkownik NIE ZOSTAŁ uwierzytelniony!" }